%define ocamlpck  ffmpeg
%define gittag %(eho %version | cut -d. -f5)

Name:          ocaml-ffmpeg
Version:       1.2.5
Release:       1mamba
Summary:       OCaml bindings to the FFmpeg library
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/savonet/ocaml-ffmpeg
Source:        https://github.com/savonet/ocaml-ffmpeg.git/v%{version}/ocaml-ffmpeg-%{version}.tar.bz2
Patch0:        ocaml-ffmpeg-1.1.9-ffmpeg-6.1.1.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libavcodec-devel
BuildRequires: libavdevice-devel
BuildRequires: libavfilter-devel
BuildRequires: libavformat-devel
BuildRequires: libavutil-devel
BuildRequires: libswresample-devel
BuildRequires: libswscale-devel
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: libavcodec-ffmpeg-devel >= 2:6.1.1
BuildRequires: libavdevice-ffmpeg-devel >= 2:6.1.1
BuildRequires: libavfilter-ffmpeg-devel >= 2:6.1.1
BuildRequires: libavformat-ffmpeg-devel >= 2:6.1.1
BuildRequires: libavutil-ffmpeg-devel >= 2:6.1.1
BuildRequires: libswresample-ffmpeg-devel >= 2:6.1.1
BuildRequires: libswscale-ffmpeg-devel >= 2:6.1.1

%description
OCaml bindings to the FFmpeg library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.


%prep
%setup -q

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR="%{buildroot}" dune install --prefix "/usr" --libdir "%{_libdir}/ocaml"

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/*
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlpck}/*.cmx
%dir %{_libdir}/ocaml/ffmpeg-*
%{_libdir}/ocaml/ffmpeg-*/*
%exclude %{_libdir}/ocaml/ffmpeg-*/*.cmi
%exclude %{_libdir}/ocaml/ffmpeg-*/*.cmx
%exclude %{_libdir}/ocaml/ffmpeg-*/*.cmxa
%exclude %{_libdir}/ocaml/stublibs/*.so*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/ffmpeg-*/*.cmi
%{_libdir}/ocaml/ffmpeg-*/*.cmx
%{_libdir}/ocaml/ffmpeg-*/*.cmxa
%doc CHANGES README.md

%changelog
* Wed May 28 2025 Automatic Build System <autodist@openmamba.org> 1.2.5-1mamba
- automatic version update by autodist

* Thu Apr 17 2025 Automatic Build System <autodist@openmamba.org> 1.2.4-1mamba
- automatic version update by autodist

* Mon Apr 14 2025 Automatic Build System <autodist@openmamba.org> 1.2.3-1mamba
- automatic version update by autodist

* Thu Feb 06 2025 Automatic Build System <autodist@openmamba.org> 1.2.2-1mamba
- automatic version update by autodist

* Fri Nov 01 2024 Automatic Build System <autodist@openmamba.org> 1.2.1-1mamba
- automatic version update by autodist

* Wed Sep 25 2024 Automatic Build System <autodist@openmamba.org> 1.2.0-1mamba
- automatic version update by autodist

* Tue Mar 26 2024 Automatic Build System <autodist@openmamba.org> 1.1.11-1mamba
- automatic version update by autodist

* Thu Jan 18 2024 Automatic Build System <autodist@openmamba.org> 1.1.10-1mamba
- automatic version update by autodist

* Wed Jan 10 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-2mamba
- rebuilt with ffmpeg 2:6.1.1

* Tue Dec 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.9-1mamba
- update to 1.1.9

* Sat Jul 08 2023 Automatic Build System <autodist@mambasoft.it> 1.1.8-1mamba
- automatic version update by autodist

* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 1.1.7-2mamba
- rebuilt with ocaml 4.14.1

* Sat Jul 01 2023 Automatic Build System <autodist@mambasoft.it> 1.1.7-1mamba
- automatic version update by autodist

* Sat Jul 01 2023 Sdk Build System <sdk@mambasoft.it> 1.1.6-2mamba
- rebuilt with ocaml 5.0.0

* Thu Sep 29 2022 Automatic Build System <autodist@mambasoft.it> 1.1.6-1mamba
- automatic version update by autodist

* Mon Aug 29 2022 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic version update by autodist

* Thu Jun 23 2022 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Sat Apr 23 2022 Automatic Build System <autodist@mambasoft.it> 1.1.3-1mamba
- automatic version update by autodist

* Tue Mar 15 2022 Automatic Build System <autodist@mambasoft.it> 1.1.2-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1.20220202git.a514383-1mamba
- update to 1.1.1.20220202git.a514383

* Sat Jan 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Fri Feb 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.3-1mamba
- update to 0.4.3

* Sat Jun 29 2013 openmamba WebBuild System <webbuild@openmamba.org> 0.1.0-1mamba
- package created by davide using the webbuild interface
